package HTML::FormFu::Imager;

use strict;

our $VERSION = '0.03006';
$VERSION = eval $VERSION;

1;

=head1 NAME

HTML::FormFu::Imager - Imager.pm helpers for HTML::FormFu file uploads

=head1 DESCRIPTION

L<HTML::FormFu::Inflator::Imager> - inflate file uploads to L<Imager> 
objects.

L<HTML::FormFu::Transformer::Imager> - perform image transformations, such 
as scale, crop and rotate.

L<HTML::FormFu::Validator::Imager::Size> - ensure the image doesn't exceed a 
given pixel size.

=head1 SUPPORT

Project Page:

L<http://code.google.com/p/html-formfu/>

Mailing list:

L<http://lists.scsys.co.uk/cgi-bin/mailman/listinfo/html-formfu>

Mailing list archives:

L<http://lists.scsys.co.uk/pipermail/html-formfu/>

=head1 BUGS

Please submit bugs / feature requests to 
L<http://code.google.com/p/html-formfu/issues/list> (preferred) or 
L<http://rt.perl.org>.

=head1 SUBVERSION REPOSITORY

The publicly viewable subversion code repository is at 
L<http://html-formfu.googlecode.com/svn/trunk/HTML-FormFu-Imager>.

If you wish to contribute, you'll need a GMAIL email address. Then just 
ask on the mailing list for commit access.

If you wish to contribute but for some reason really don't want to sign up 
for a GMAIL account, please post patches to the mailing list (although  
you'll have to wait for someone to commit them). 

If you have commit permissions, use the HTTPS repository url: 
L<https://html-formfu.googlecode.com/svn/trunk/HTML-FormFu-Imager>

=head1 SEE ALSO

L<HTML::FormFu>

=head1 AUTHOR

Carl Franks

=head1 COPYRIGHT AND LICENSE

Copyright (C) 2007 by Carl Franks

This library is free software; you can redistribute it and/or modify
it under the same terms as Perl itself, either Perl version 5.8.8 or,
at your option, any later version of Perl 5 you may have available.

